Bug 4781 - [UPDATE REQUEST] nvidia304 304.125
: [UPDATE REQUEST] nvidia304 304.125
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-10 21:06 MSK by Eugene Shatokhin
Modified: 2014-12-19 16:59 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
eugene.shatokhin: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2014-12-10 21:06:09 MSK
The 304.x branch of the drivers was updated to version 304.125.
Comment 1 Eugene Shatokhin 2014-12-10 21:09:21 MSK
Advisory:
The 304.x branch of the proprietary graphics drivers by NVidia was updated to version 304.125.
Most significant changes:
* Improved compatibility with recent Linux kernels.
* Added support for X.Org xserver ABI 19 (xorg-server 1.17).
* Implemented support for disabling indirect GLX context creation using
    the -iglx option available on X.Org server release 1.16 and newer.
* Added the "AllowIndirectGLXProtocol" X config option. This option can be
    used to disallow use of GLX protocol.

Build lists:
i586:
https://abf.rosalinux.ru/build_lists/2364412
x86_64:
https://abf.rosalinux.ru/build_lists/2364413
Comment 2 Eugene Shatokhin 2014-12-10 21:12:36 MSK
This version of the drivers works OK with GeForce 7300 LE on our test system:
x32: hw.rosalinux.ru/index.php?probe=aa907e78e3
x64: hw.rosalinux.ru/index.php?probe=03d79b2d21
Comment 3 Eugene Shatokhin 2014-12-12 16:45:05 MSK
Advisory:
The 304.x branch of the proprietary graphics drivers by NVidia was updated to version 304.125.
Most significant changes:
* Improved compatibility with recent Linux kernels.
* Added support for X.Org xserver ABI 19 (xorg-server 1.17).
* Implemented support for disabling indirect GLX context creation using
    the -iglx option available on X.Org server release 1.16 and newer.
* Added the "AllowIndirectGLXProtocol" X config option. This option can be
    used to disallow use of GLX protocol.
Besides, the driver packages no longer set and remove 'nomodeset' boot option themselves because XFdrake handles this already.

Build lists:
i586:
https://abf.rosalinux.ru/build_lists/2365408
x86_64:
https://abf.rosalinux.ru/build_lists/2365409
Comment 4 Vladimir Potapov 2014-12-19 16:08:21 MSK
nvidia304-304.125-2
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2365408/i586/non-free/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2365409/x86_64/non-free/release/
****************************** Advisory ************************
The 304.x branch of the proprietary graphics drivers by NVidia was updated to version 304.125.
The driver packages no longer set and remove 'nomodeset' boot option themselves because XFdrake handles this already
****************************** Changelog ************************
Most significant changes:
* Improved compatibility with recent Linux kernels.
* Added support for X.Org xserver ABI 19 (xorg-server 1.17).
* Implemented support for disabling indirect GLX context creation using
    the -iglx option available on X.Org server release 1.16 and newer.
* Added the "AllowIndirectGLXProtocol" X config option. This option can be
    used to disallow use of GLX protocol.
******************************************************************
QA Verified